package org.maachang.dao ;

/**
 * MaachangDao例外.
 *
 * @version 2007/11/03
 * @author  masahito suzuki
 * @since MaachangDao 1.00
 */
public class MaachangDaoException extends RuntimeException {
    private static final long serialVersionUID = 5305984758120200280L;
    
    /**
     * コンストラクタ.
     */
    public MaachangDaoException() {
        super() ;
    }
    /**
     * コンストラクタ.
     * <BR><BR>
     * @param message メッセージ.
     */
    public MaachangDaoException( String message ) {
        super( message ) ;
    }
    /**
     * コンストラクタ.
     * <BR><BR>
     * @param e Exception.
     */
    public MaachangDaoException( Exception e ) {
        super( e ) ;
    }
}

